Package org.apache.calcite.avatica

## Class AvaticaClientRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.calcite.avatica.AvaticaClientRuntimeException

All Implemented Interfaces:
  `java.io.Serializable`

    public class AvaticaClientRuntimeException
    extends java.lang.RuntimeException

The client-side representation of `AvaticaRuntimeException`. This exception is not intended for consumption by clients, `AvaticaSqlException` serves that purpose. This exception only exists to pass the original error attributes to a higher level of execution without modifying existing exception-handling logic.

See Also:
  Serialized Form

### Field Summary

Fields
`private int` `errorCode`
`private Service.RpcMetadataResponse` `metadata`
`private static long` `serialVersionUID`
`private java.util.List<java.lang.String>` `serverExceptions`
`private AvaticaSeverity` `severity`
`private java.lang.String` `sqlState`

### Constructor Summary

Constructors
`AvaticaClientRuntimeException​(java.lang.String errorMessage, int errorCode, java.lang.String sqlState, AvaticaSeverity severity, java.util.List<java.lang.String> serverExceptions, Service.RpcMetadataResponse metadata)`
`AvaticaClientRuntimeException​(java.lang.String message, java.lang.Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getErrorCode()`
`Service.RpcMetadataResponse` `getRpcMetadata()`
`java.util.List<java.lang.String>` `getServerExceptions()`
`AvaticaSeverity` `getSeverity()`
`java.lang.String` `getSqlState()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

#### errorCode

    private final int errorCode

#### sqlState

    private final java.lang.String sqlState

#### severity

    private final AvaticaSeverity severity

#### serverExceptions

    private final java.util.List<java.lang.String> serverExceptions

#### metadata

    private final Service.RpcMetadataResponse metadata

### Constructor Detail

#### AvaticaClientRuntimeException

    public AvaticaClientRuntimeException​(java.lang.String errorMessage,
                                         int errorCode,
                                         java.lang.String sqlState,
                                         AvaticaSeverity severity,
                                         java.util.List<java.lang.String> serverExceptions,
                                         Service.RpcMetadataResponse metadata)

#### AvaticaClientRuntimeException

    public AvaticaClientRuntimeException​(java.lang.String message,
                                         java.lang.Throwable cause)

### Method Detail

#### getErrorCode

    public int getErrorCode()

#### getSqlState

    public java.lang.String getSqlState()

#### getSeverity

    public AvaticaSeverity getSeverity()

#### getServerExceptions

    public java.util.List<java.lang.String> getServerExceptions()

#### getRpcMetadata

    public Service.RpcMetadataResponse getRpcMetadata()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Throwable`